Loading...
Searching...
No Matches
dot_bracket3.hpp File Reference

Provides the dot bracket format for RNA structure. More...

`#include <vector>`
`#include <seqan3/alphabet/alphabet_base.hpp>`
`#include <seqan3/alphabet/structure/concept.hpp>`
`#include <seqan3/utility/char_operations/transform.hpp>`
Include dependency graph for dot_bracket3.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::dot_bracket3
| The three letter RNA structure alphabet of the characters ".()". More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::literals
| The SeqAn namespace for literals.

## Functions

Structure literals
constexpr std::vector< dot_bracket3 > | seqan3::literals::operator""_db3 (char const *str, std::size_t len)
| The seqan3::db3 string literal.
constexpr dot_bracket3 | seqan3::literals::operator""_db3 (char const ch) noexcept
| The seqan3::db3 char literal.

## Detailed Description

Provides the dot bracket format for RNA structure.

Author
  Joerg Winkler <j.winkler AT fu-berlin.de>

Hide me